<div class="row main-container">
  <div class="col left-bar">
    <h5>
      Информация о работе
    </h5>
    <mat-card>
      <p>Контрагент: <span class="bold-text">{{orderInfo.serviceName}}</span></p>
      <p>Статус: <span class="bold-text" *ngIf="!orderInfo.status">В исполнении</span><span class="bold-text"
                                                                                            *ngIf="orderInfo.status">Завершена</span>
      </p>
      <p>Номер авто: <span class="bold-text">{{orderInfo.numberPlate}}</span></p>
      <p>Общая стоимость работ: <span class="bold-text">{{orderInfo.price}} руб.</span></p>
      <h6>Исполнитель</h6>
      <p>ФИО: <span class="bold-text">{{profile.name}}</span></p>
      <p>Номер телефона: <span class="bold-text">{{profile.phone}}</span></p>
    </mat-card>
    <h5>
      Список услуг
    </h5>
    <table mat-table [dataSource]="dataSource" class="mat-elevation-z8">
      <ng-container matColumnDef="name">
        <th mat-header-cell *matHeaderCellDef> Название</th>
        <td mat-cell *matCellDef="let element"> {{element.name}} </td>
      </ng-container>
      <ng-container matColumnDef="startTimeString">
        <th mat-header-cell *matHeaderCellDef> Время начала работ</th>
        <td mat-cell *matCellDef="let element"> {{element.startTimeString}} </td>
      </ng-container>
      <ng-container matColumnDef="finishTimeString">
        <th mat-header-cell *matHeaderCellDef> Время заверешния</th>
        <td mat-cell *matCellDef="let element"><span
          *ngIf="element.finishTimeString">{{element.finishTimeString}}</span> <span class="status-on"
                                                                                     *ngIf="!element.finishTimeString">Выполняется</span>
        </td>
      </ng-container>
      <ng-container matColumnDef="status">
        <th mat-header-cell *matHeaderCellDef> Статус</th>
        <td mat-cell *matCellDef="let element"><span *ngIf="!orderInfo.status">В исполнении</span><span
          *ngIf="orderInfo.status">Завершена</span></td>
      </ng-container>
      <ng-container matColumnDef="cost">
        <th mat-header-cell *matHeaderCellDef> Цена</th>
        <td mat-cell *matCellDef="let element"> {{element.cost}} руб.</td>
      </ng-container>
      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row [class.active]="row.id === selectedWork.id" *matRowDef="let row;  columns: displayedColumns;"
          (click)="setItem(row)"></tr>
    </table>
  </div>
  <div class="col nav-photo">
    <div class="row">
      <div class="col">
        <div class="img-container">
          <h5>Фото до:</h5>
          <img class="image-order" (click)="openImage(selectedWork.photoBeforeLink)"
               [src]="selectedWork.photoBeforeLink">
        </div>
      </div>
      <div class="col">
        <h5>Фото после:</h5>
        <div *ngIf="!selectedWork.photoAfterLink" class="placeholder">
          Работа еще выполняется
        </div>
        <img class="image-order" (click)="openImage(selectedWork.photoAfterLink)" *ngIf="selectedWork.photoAfterLink"
             [src]="selectedWork.photoAfterLink">
      </div>
    </div>
    <mat-card class="detail-info-order">
      <p>Название услуги: <span class="bold-text">{{selectedWork.name}}</span></p>
      <p>Время начала выполнения услуги: <span class="bold-text">{{selectedWork.startTimeString}}</span></p>
      <p *ngIf="selectedWork.finishTimeString">Время окончания выполнения услуги: <span
        class="bold-text">{{selectedWork.finishTimeString}}</span></p>
      <p>Норма времени выполнения: <span class="bold-text">{{selectedWork.defaultTime}} минут</span></p>
      <p *ngIf="selectedWork.finishTimeString">Продолжительность выполнения:
        <span *ngIf="selectedWork.timeWorkingDay > 0"
              class="bold-text">{{selectedWork.timeWorkingDay}} <span
          *ngIf="selectedWork.timeWorkingDay == 1"> день</span>
      <span *ngIf="selectedWork.timeWorkingDay>1 && selectedWork.timeWorkingDay<5 "> дня</span>
        <span *ngIf="selectedWork.timeWorkingDay>4"> дней</span>
        </span>

        <span class="bold-text"
              *ngIf="!(selectedWork.timeWorkingDay < 1) || !(selectedWork.timeWorkingHours < 0)"> {{selectedWork.timeWorkingHours}}
          :
        </span>

        <span class="bold-text"
              *ngIf="!(selectedWork.timeWorkingMins < 0) || !(selectedWork.timeWorkingDay < 0) || !(selectedWork.timeWorkingHours < 0)">{{selectedWork.timeWorkingMins}}
          :
        </span>

        <span class="bold-text"
              *ngIf="!(selectedWork.timeWorkingSec < 0) || !(selectedWork.timeWorkingMins < 0) || !(selectedWork.timeWorkingDay < 1) || !(selectedWork.timeWorkingHours < 1)">{{selectedWork.timeWorkingSec}}
      </span></p>
      <p *ngIf="!selectedWork.finishTimeString">Теукщее время выполнения:

        <span *ngIf="selectedWork.timeWorkingDay > 0"
              class="bold-text">{{selectedWork.timeWorkingDay}} <span
          *ngIf="selectedWork.timeWorkingDay == 1"> день</span>
      <span *ngIf="selectedWork.timeWorkingDay>1 && selectedWork.timeWorkingDay<5 "> дня</span>
        <span *ngIf="selectedWork.timeWorkingDay>4"> дней</span>
        </span>

        <span class="bold-text"
              *ngIf="!(selectedWork.timeWorkingDay < 1) || !(selectedWork.timeWorkingHours < 1)"> {{selectedWork.timeWorkingHours}}
          :
        </span>

        <span class="bold-text"
              *ngIf="!(selectedWork.timeWorkingMins < 1) || !(selectedWork.timeWorkingDay < 1) || !(selectedWork.timeWorkingHours < 1)">{{selectedWork.timeWorkingMins}}
          :
        </span>

        <span class="bold-text"
              *ngIf="!(selectedWork.timeWorkingSec < 1) || !(selectedWork.timeWorkingMins < 1) || !(selectedWork.timeWorkingDay < 1) || !(selectedWork.timeWorkingHours < 1)">{{selectedWork.timeWorkingSec}}
      </span></p>
    </mat-card>
  </div>
</div>
